Last Comment Bug 97351 - [FIX] bullets should not inherit "size" property for backwards compat.
: [FIX] bullets should not inherit "size" property for backwards compat.
Status: RESOLVED FIXED
checked into trunk,0.9.2 branch and 0...
: topembed
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows 2000
: P2 normal (vote)
: mozilla0.9.5
Assigned To: Marc Attinasi
: Chris Petersen
Mentors:
Depends on: 648331
Blocks: 96031
  Show dependency treegraph
 
Reported: 2001-08-28 13:21 PDT by harishd
Modified: 2014-04-26 03:06 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Another testcase [ Applying font size thro' stylesheet - Testcase derived from cnnfn.cnn.com ] (392 bytes, text/html)
2001-08-30 13:53 PDT, harishd
no flags Details
Testcase [ Fix for bug 96031 breaks, border,background,etc.. Need to address these issues too ] (202 bytes, text/html)
2001-09-04 12:00 PDT, harishd
no flags Details

Description harishd 2001-08-28 13:21:36 PDT
Self explanatory testcase:

<ul>
<font size="30pt" color="red">
<li> This text should be 30pt red. But the bullet should be the default size (
per IE )
</font>
</ul>
Comment 1 harishd 2001-08-28 13:26:41 PDT
Forgot to mention:

You need to apply the patch in bug 96031 to see this problem. Without the patch
none of the properties would get inherited by the bullet.
Comment 2 Marc Attinasi 2001-08-28 13:47:28 PDT
Marking topembed since this blocks a topembed bug (sigh).

Comment 3 harishd 2001-08-30 13:33:48 PDT
With the patch in bug 96031 the bullet, refer to example 1, appears round in
shape and red in color ( just like IE ) however, if I make the SIZE to be a non
negative value, refer to example 2, then we render differently than IE. So, I'm
not sure whether we should or shouldn't ignore the SIZE attribute.

Example 1: <FONT color=red SIZE=-1><li><b>Recoded:</b>

Example 2: <FONT color=red SIZE=+1><li><b>Recoded:</b>
Comment 4 harishd 2001-08-30 13:53:38 PDT
Created attachment 47699 [details]
Another testcase [ Applying font size thro' stylesheet - Testcase derived from cnnfn.cnn.com ]
Comment 5 Marc Attinasi 2001-08-30 15:20:53 PDT
Add this to quirk.css

/* QUIRK: force bullet to be the default size for IE compatability
 */
*|*:-moz-list-bullet {
  font-size: -moz-initial;
}

This rule forces the bullet to be its initial size, regardless of the influence
of the <FONT> tag (in Quirks mode only).
Comment 6 Marc Attinasi 2001-08-30 17:39:04 PDT
Tested also with OL - the numerals are indeed resized, as they are in IE - this
only changes the bullet behavior.
Comment 7 Marc Attinasi 2001-08-30 18:49:32 PDT
OK, this patch is better for quirks.css

/* Quirk: prevent bullet from resizing with the list item
 *   see bug 97351
 */
*|li:-moz-list-bullet {
  font-size: -moz-initial;
}
Comment 8 Pierre Saslawsky 2001-08-30 19:25:47 PDT
It should be:
  li:-moz-list-bullet
instead of
  *|li:-moz-list-bullet
even though quirk.css is only enabled for quirky html documents

r=pierre with that change
Comment 9 Chris Waterson 2001-08-31 08:46:04 PDT
sr=waterson if you and pierre can agree on the selector. :-)
Comment 10 Marc Attinasi 2001-08-31 11:11:27 PDT
Pierre is right - we do not need th universal namespace. Thanks.
Comment 11 harishd 2001-09-04 12:00:37 PDT
Created attachment 48192 [details]
Testcase [ Fix for bug 96031 breaks, border,background,etc.. Need to address these issues too ]
Comment 12 harishd 2001-09-04 12:02:17 PDT
Marc: I'm not sure if I need to open up a new bug to my last test case [
id=48192 ]. Please let me know if I have to. It looks like quirks.css needs
tweaking.
Comment 13 Kevin McCluskey (gone) 2001-09-04 15:05:00 PDT
Updated status
Comment 14 Marc Attinasi 2001-09-04 15:27:36 PDT
harish, that testcase is a different bug altogether! Please do open a new bug,
and if you have ideas about what needs to be tweaked include that too. Thanks.
Comment 15 Marc Attinasi 2001-09-05 18:28:44 PDT
checked into trunk and 0.9.2 branch
Comment 16 Marc Attinasi 2001-09-05 18:32:46 PDT
Nominating for 0.9.4
Comment 17 Asa Dotzler [:asa] 2001-09-06 14:12:50 PDT
a=asa (on behalf of drivers) for checkin to MOZILLA_0_9_4_BRANCH
Comment 18 Marc Attinasi 2001-09-06 21:49:15 PDT
Checked into 0.9.4 branch, marking FIXED
Comment 19 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-02-04 07:14:38 PST
This fix seems really wrong -- see bug 110360.  Isn't the right fix to parent
the bullet's style context (in quirks mode only?) to the parent of the block
whose bullet it is rather than to the block itself?  Or something like that?
Comment 20 Marc Attinasi 2002-02-12 10:34:55 PST
Having style context parentage differ from frame parentage is freightening to
me.  I think there are assumptions that the trees match, and only tables break
that AFAIK.

I can think of two other approaches: 

1) change the selector to
  ul > li:-moz-list-bullet {
    font-size: -moz-initial;
  }

2) change the pseudo used for numerals to -moz-list-numeral so we can
differentiate between the two cases.

In an email I received from Luke Stone, he suggested we hack the bullet sizing
code to implement the quirk.  Something like checking for quirks mode and then
using the default font size for the bullets rather than the size in the style
struct.  I personally prefer the child-selector approach, but only because it is
easier and it will allow me to go back to fixing the crashers I have on my plate.

Note You need to log in before you can comment on or make changes to this bug.